/* Canvas wrapper positioning */
#canvasWrapper {
  position: relative;
  width: 100%;
  height: 100%;
  top: 20px;
  left: 20px;
}

/* Overlay canvas that will hold the grid and guidelines */
.overlay {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  pointer-events: none; /* Prevents overlay from interfering with other canvas */
}

/* Ruler canvas */
.canvas-ruler {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  background: rgba(0, 0, 0, 0.1); /* Light background */
  pointer-events: none; /* Prevents interaction with ruler canvas */
}

/* Grid Canvas */
.grid {
  position: absolute;
  top: 0;
  left: 0;
  background-image: linear-gradient(
      0deg,
      rgba(0, 0, 0, 0.1) 1px,
      transparent 1px
    ),
    linear-gradient(90deg, rgba(0, 0, 0, 0.1) 1px, transparent 1px);
  background-size: 20mm 20mm;
  z-index: 2;
  pointer-events: none; /* Prevent interaction */
}

/* Guideline Styling */
.guideline {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  cursor: move;
  width: 5px;
  height: 100%;
  z-index: 3;
  pointer-events: all; /* Allows interaction with guideline */
}

/* Button Styling */
button {
  margin-top: 10px;
}
